summaryrefslogtreecommitdiff
path: root/Makefile
diff options
context:
space:
mode:
authorFredrik Åslund <fredrik.aslund@umu.se>2014-04-08 10:34:57 +0200
committerFredrik Åslund <fredrik.aslund@umu.se>2014-04-08 10:34:57 +0200
commitaa4d61ddd524b972424ca7e5031d696a24036601 (patch)
tree66e2f152fbe20553c6aae3d2a129d9b4810cca82 /Makefile
parentfeb75f02125ef20898f6b660a6c19d87372f1a74 (diff)
committest for SimpleSign added (breaks ADFS IdP:s with Shib SP 2.5+)
Diffstat (limited to 'Makefile')
-rw-r--r--Makefile4
1 files changed, 3 insertions, 1 deletions
diff --git a/Makefile b/Makefile
index 49201279..9c0bc213 100644
--- a/Makefile
+++ b/Makefile
@@ -128,8 +128,10 @@ committest: test
@for x in `find $(SRCDIRS) -name \*.xml`; do if cat $$x | sed 's;\(</*\)[a-z0-9]*:;\1;g' | xmllint --xpath /EntityDescriptor/IDPSSODescriptor/Extensions/EntityAttributes - 2>/dev/null | grep -q entity-category ; then echo " $$x" ; fi ; done | grep . && exit 1 || true
@echo "Checking for MDUI in EntityDescriptor/Extensions"
@for x in `find $(SRCDIRS) -name \*.xml`; do if cat $$x | sed 's;\(</*\)[a-z0-9]*:;\1;g' | xmllint --xpath /EntityDescriptor/Extensions/UIInfo - 2>/dev/null | grep -q . ; then echo " $$x" ; fi ; done | grep . && exit 1 || true
- @echo "Checking for invalid geodata"
+ @echo "Checking for invalid geodata (syntax is geo:xx.yy,zz.vv)"
@for x in `find $(SRCDIRS) -name \*.xml`; do if cat $$x | sed -n 's;.*<[a-z0-9:]*GeolocationHint>\(.*\)</[a-z0-9:]*GeolocationHint>;\1;p' | grep -q -vE '^$$|^geo:[0-9][0-9][0-9.]*,[0-9][0-9][0-9.]*$$' ; then echo " $$x" ; fi ; done | grep . && exit 1 || true
+ @echo "Check for new SP:s with SimpleSign (breaks ADFS IdP:s with Shib SP 2.5+)"
+ @for x in `find $(SRCDIRS) -name \*.xml`; do if ! grep -qx `basename $$x` sp-with-simplesign && grep -q HTTP-POST-SimpleSign $$x ; then echo " $$x" ; fi ; done | grep . && exit 1 || true
commit: tidy committest
@git diff --color